%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		subdownloader
Version:	2.0.18
Release:	5%{?dist}
Summary:	Program for download/upload subtitles for video files and DVDs
Group:		Applications/Multimedia
# "modules/progressbar.py is LGPLv2+, everything else is GPLv3+"
License:	GPLv3+ and LGPLv2+
URL:		http://www.subdownloader.net/
Source0:	http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}_%{version}.orig.tar.gz
# subdownloader.xpm is taken from apt-get source subdownloader
Source1:	subdownloader.xpm
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	gettext, desktop-file-utils
Requires:	python >= 2.3.5-7, PyQt4, python-kaa-metadata, python-crypto	

%description
Program for automatic download/upload subtitles for video files 
(DIVX,MPEG,AVI,VOB,etc) and DVD's using fast hashing.

%prep
%setup -q -n %{name}-%{version}
rm -rf modules/mmpython
rm -rf modules/SDService.py.orig
sed -i 's/#\!\/usr\/bin\/env python//g' cli/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' languages/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' FileManagement/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' modules/*.py
sed -i 's/#\!\/usr\/bin\/python//g' modules/*.py
sed -i 's/#\!\/usr\/bin\/env python//g' gui/*.py
sed -i 's#/usr/share/subdownloader#%{python_sitelib}/%{name}#g' subdownloader.desktop
# submitted as bugreport 361416
sed -i 's#/usr/share/subdownloader#%{python_sitelib}/%{name}#g' gui/main.py
chmod -x README ChangeLog

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1/
cp -pR gui %{buildroot}%{python_sitelib}/%{name}
cp -pR languages %{buildroot}%{python_sitelib}/%{name}
cp -pR cli %{buildroot}%{python_sitelib}/%{name}
cp -pR FileManagement %{buildroot}%{python_sitelib}/%{name}
cp -pR modules %{buildroot}%{python_sitelib}/%{name}
cp -pR run.py %{buildroot}%{python_sitelib}/%{name}
cp -pR locale %{buildroot}%{python_sitelib}/%{name}
cp -pR locale %{buildroot}%{_datadir}
rm -rf %{buildroot}%{python_sitelib}/%{name}/locale/*/*/*.mo
rm -rf %{buildroot}%{_datadir}/locale/*/*/*.po
rm -rf %{buildroot}%{_datadir}/locale/*.pot
chmod +x %{buildroot}%{python_sitelib}/%{name}/run.py
desktop-file-install subdownloader.desktop --dir %{buildroot}%{_datadir}/applications \
  --add-category X-AudioVideoImport
install -pm 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
install -pm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/
ln -s ../..%{python_sitelib}/%{name}/run.py %{buildroot}%{_bindir}/subdownloader
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Jan Klepek <jan.klepek at, gmail.com> - 2.0.18-1
- update to new version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 6 2011 Jan Klepek <jan.klepek at, gmail.com> - 2.0.14-1
- new version released

* Fri Sep 3 2010 Jan Klepek <jan.klepek at, gmail.com> - 2.0.13-1
- new version released

* Mon Mar 15 2010 Jan Klepek <jan.klepek at, gmail.com> - 2.0.10-1
- new version released

* Wed Nov 11 2009 Jan Klepek <jan.klepek at, gmail.com> - 2.0.9.3-6
- disabled auto-update checks

* Wed Oct 07 2009 Jan Klepek <jan.klepek at, gmail.com> - 2.0.9.3-5
- fixed desktop file and locale handling

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 2.0.9.3-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Jan Klepek <jan.klepek at, gmail.com> 2.0.9.3-2
- added desktop-file-utils into BuildRequires

* Mon Mar 16 2009 Jan Klepek <jan.klepek at, gmail.com> 2.0.9.3-1
- initial version of rpm package
